Skip to main content
`Ctrl`+`K`

# DSSVDGetDimensions

Returns the number of columns for a `DSSVD`.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSSVDGetDimensions(DS ds,PetscInt *m)

Not Collective

## Input Parameter

- ds - the direct solver context

## Output Parameter

- m - the number of columns

## See Also

DS: Direct Solver (or Dense System), `DSSVD`, `DSSVDSetDimensions()`

## Level

intermediate

## Location

src/sys/classes/ds/impls/svd/dssvd.c

## Implementations

DSSVDGetDimensions_SVD() in src/sys/classes/ds/impls/svd/dssvd.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages